MediaWiki:Common.css

Aus Chemnitz Wiki
Wechseln zu: Navigation, Suche

Hinweis: Leere nach dem Speichern den Browser-Cache, um die Änderungen sehen zu können.

  • Firefox/Safari: Umschalttaste drücken und gleichzeitig Aktualisieren anklicken oder entweder Strg+F5 oder Strg+R (⌘+R auf dem Mac) drücken
  • Google Chrome: Umschalttaste+Strg+R (⌘+Umschalttaste+R auf dem Mac) drücken
  • Internet Explorer: Strg+F5 drücken oder Strg drücken und gleichzeitig Aktualisieren anklicken
  • Opera: Extras → Internetspuren löschen … → Individuelle Auswahl → Den kompletten Cache löschen
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */

/* Common.css ist in drei grundlegende Abschnitte gegliedert: */

/* 1. Editierbare Seiteninhalte */
/* 2. Sonstige Anpassungen (Spezialseiten, u.a.) */
/* 3. Hauptseitenspezifisches */

/* Jede Ergänzung/Änderung muss vorher jeweils für alle Skins auf Tauglichkeit getestet werden, */
/* individuell per User.css! Ist hier erstmal geändert, dauert es dank Cache eine Weile, bis die */
/* Änderungen bei allen Nutzern sichtbar oder, bei Fehlern, korrigiert sind. */

/* +++++ 0. BUGFIXES +++++ */

/*
 * Lua-Code in normaler Schriftgröße anzeigen. Muss hier geschehen,
 * weil [[MediaWiki:Geshi.css]] im Modulnamensraum nicht mitgeladen wird
 * ([[bugzilla:47798]])
 */
pre.lua.source-lua {
	font-family: monospace, Courier;
}

/*
 * [[bugzilla:48858]] is breaking [[Vorlage:Gesprochene Version]]
 * in non-Vector skins
 */
.ui-helper-clearfix:before,
.ui-helper-clearfix:after {
	border-collapse: collapse;
}

/* +++++ 1. ANPASSUNGEN DER ANZEIGE VON EDITIERBAREN SEITENINHALTEN +++++ */

/* Personennamen in Kapitälchen: class="Person" */
.Person {
	font-style: normal;
	font-variant: small-caps;
}

/* [[Wikipedia:Zitate|Zitate]] (siehe [[Vorlage:Zitat]]) */
p.Zitat {
	font-style: normal;
	margin-bottom: 0;
}
p.cite {
	margin-top: 0;
	padding-left: 1em;
}

/* Stylesheet-Ergänzung zu Standard-[[Wikipedia:Navigationsleisten|Navigationsleisten]] */
div.NavFrame {
	display: inline-block; /* IE <= 7 */
}
div.NavFrame {
	border: 1px solid #aaa;
	clear: both;
	display: block;
	font-size: 95%;
	margin-top: 1.5em;
	padding: 2px;
	text-align: center;
}
div.NavPic {
	float: left;
	padding: 2px;
}
div.NavHead {
	background: #efefef;
	font-weight: bold;
}
div.NavFrame:after {
	clear: both;
	content: "";
	display: block;
}

/* Zebra-Tabellen */
table.wikitable.zebra > tbody > :nth-child(even):not([class*="hintergrundfarbe"]) {
	background: white;
}

/* @noflip */div.float-left,
table.float-left,
ul.float-left,
.float-left {
	clear: left;
	float: left;
	margin: 1em 1em 1em 0;
}
/* @noflip */div.float-right,
table.float-right,
ul.float-right,
.float-right {
	clear: right;
	float: right;
	margin: 1em 0 1em 1em;
}
div.centered,
table.centered,
ul.centered,
.centered {
	margin-left: auto;
	margin-right: auto;
}
.toptextcells > * > * > td {
	vertical-align: top;
}

/* gleicher vertikaler Abstand für Text und Listen in Tabellen */
table ul,
table p {
	margin-top: .3em;
}

/* Metadaten (bspw. [[Wikipedia:Personendaten|Personendaten]]) */
.metadata {
	display: none;
}
.metadata-label {
	color: #aaa;
}

/* TemplateData ([[Hilfe:TemplateData]]) */
.mw-templatedata-doc-wrap {
	border: solid 2px #B3B7FF;
	padding: 1em;
}

/*
 * Farbdefinitionen für Rahmen und Hintergründe von [[Wikipedia:Textbausteine|Textbausteinen]].
 * Anpassungen für andere Skins sind optional.
 * (Die Angaben der Rahmenstärke dienen der Bequemlichkeit, so dass man
 * für dünne Rahmen nur noch "border-style" angeben muss.)
 */
.rahmenfarbe1 { /* Wie Inhaltsverzeichnis */
	border: 1px #aaa;
}
.rahmenfarbe2 { /* Unauffällig, geringer Kontrast */
	border: 1px #e9e9e9;
}
.rahmenfarbe3 { /* "Rot", auffällig */
	border: 1px #c00000;
}
.rahmenfarbe4 { /* Neutrale Farbe, deutlich */
	border: 1px #88a;
}
.rahmenfarbe5 { /* "Schwarz", hoher Kontrast */
	border: 1px #000;
}

table > * > tr.hintergrundfarbe1 > th,
table > * > tr > th.hintergrundfarbe1,
table.hintergrundfarbe1,
.hintergrundfarbe1 { /* Wie Inhaltsverzeichnis */
	background-color: #f9f9f9;
}
table > * > tr.hintergrundfarbe2 > th,
table > * > tr > th.hintergrundfarbe2,
table.hintergrundfarbe2,
.hintergrundfarbe2 { /* "Weiß", für Nicht-Artikel-Seiten, neutral */
	background-color: #fff;
}
table > * > tr.hintergrundfarbe3 > th,
table > * > tr > th.hintergrundfarbe3,
table.hintergrundfarbe3,
.hintergrundfarbe3 { /* "Gelb", auffällig */
	background-color: #ffff40;
}
table > * > tr.hintergrundfarbe4 > th,
table > * > tr > th.hintergrundfarbe4,
table.hintergrundfarbe4,
.hintergrundfarbe4 { /* Sehr auffällig */
	background-color: #fa0;
}
table > * > tr.hintergrundfarbe5 > th,
table > * > tr > th.hintergrundfarbe5,
table.hintergrundfarbe5,
.hintergrundfarbe5 { /* Neutral, abgesetzt */
	background-color: #e0e0e0;
}
table > * > tr.hintergrundfarbe6 > th,
table > * > tr > th.hintergrundfarbe6,
table.hintergrundfarbe6,
.hintergrundfarbe6 { /* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
	background-color: #b3b7ff;
}
table > * > tr.hintergrundfarbe7 > th,
table > * > tr > th.hintergrundfarbe7,
table.hintergrundfarbe7,
.hintergrundfarbe7 { /* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
	background-color: #ffcbcb;
}
table > * > tr.hintergrundfarbe8 > th,
table > * > tr > th.hintergrundfarbe8,
table.hintergrundfarbe8,
.hintergrundfarbe8 { /* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
	background-color: #ffebad;
}
table > * > tr.hintergrundfarbe9 > th,
table > * > tr > th.hintergrundfarbe9,
table.hintergrundfarbe9,
.hintergrundfarbe9 { /* Allgemein „bunt“, für Hervorhebungen und Unterscheidungen */
	background-color: #b9ffc5;
}

/* Keine Vergrößerung der Zeilenhöhe durch hochgestellte Zahlen der Fußnoten */
sup.reference {
	font-style: normal;
	font-weight: 400;
}
sup,
sub {
	line-height: 1em;
}

/* Hervorhebung der angeklickten Fußnoten und der Rückverweise in blau */
ol.references > li:target,
sup.reference:target {
	background: #def;
}

/* Hochgestellte Buchstaben in der Einzelnachweiseliste kursiv setzen */
ol.references li a[href|="#cite_ref"] {
	font-style: italic;
}

/* Für MediaWiki:Missingcommentheader */
div#mw-missingcommentheader b {
	color: #900;
}

/* Für [[MediaWiki:Anoneditwarning]] und weitere Hinweise, die alle untereinander stehen */
div#mw-anon-edit-warning,
div#mw-anon-preview-warning,
div#mw-missingsummary,
div#wp_talkpagetext {
	background: #d3e1f2;
	border: 1px solid #1a47ff;
	margin: 1em auto;
	padding: 1em;
	width: 80%;
}

#####

/*
 * Bestimmte externe Links mit eigenem Icon versehen
 */

a[href^="//de.wikipedia.org"] {
    background: url(/images/wikipedia-icon.png) center right no-repeat;
    padding-right: 13px;
}

/* Falls bei der Seitenbearbeitung vergessen wurde, die Zusammenfassung auszufüllen */
.mw-summarymissed {
	border: 5px solid red;
	padding: 2px;
}

/* Copyrightwarnung */
div#editpage-copywarn {
	background: #fff;
	border: 1px solid #c00000;
	margin: 1em 0;
}

/*
 * Allow limiting of which header levels are shown in a TOC;
 * <div class="toclimit-3">, for instance, will limit to
 * showing ==headings== and ===headings=== but no further
 * (as long as there are no =headings= on the page, which
 * there shouldn't be according to the MoS).
 * [[Vorlage:TOC limit]]
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
	display: none;
}

/*
 * Hide the numbers are shown in a TOC
 * [[Vorlage:TOC nonum]]
 */
.tocnonum .tocnumber {
	display: none;
}


/* +++++ 2. SONSTIGE ANPASSUNGEN (Spezialseiten u. a.) +++++ */

/* Größerer Abstand zwischen TOC-Nummerierung und TOC-Eintrag */
span.tocnumber {
	margin-right: .3em;
}

/*
 * Abstand zwischen Liste und Inhaltsverzeichnis erhöhen, siehe
 * http://de.wikipedia.org/w/index.php?title=MediaWiki_Diskussion:Common.css&oldid=51639015#Abstand_vor_Inhaltsverzeichnis
 */
ul + .toc,
ol + .toc {
	margin-top: .5em;
}

/* Skinabhängige absolute Positionierungen ausblenden */
/* Bitte [[MediaWiki Diskussion:Common.css/Archiv 1#Absolute Positionierungen]] beachten */
#commons-icon,
#coordinates,
#editcount,
#issnlink,
#shortcut,
#spoken-icon,
.topicon {
	display: none;
}
 
/*
 * Im Projekt WP:GEO benutzt die [[Vorlage:Coordinate]] das «geo-microformat»
 * zur semantischen Auszeichnung des Texts. Der Inhalt dieses
 * [[Tag (Informatik)|Tags]] ist nicht für den Leser bestimmt.
 */
.geo {
	display: none;
}

/* Skinabhängige absolute Positionierungen ausblenden */
/* Bitte [[MediaWiki Diskussion:Common.css/Archiv 1#Absolute Positionierungen]] beachten */
#coordinates, #editcount, #issnlink, #shortcut {
    display: block;
    font-size: x-small;
    line-height: 1.5;
    position: absolute;
    right: 1em;
    text-align: right;
    text-indent: 0;
    top: -4.5em;
    white-space: nowrap;
}

/* Verhindere, dass Infoboxen etc. in den Inhalt von Kategorien hineinragen.
Das betrifft nur Kategorieseiten. */
div#mw-subcategories,
div#mw-pages,
div#mw-category-media {
	clear: both;
}

/* [[Special:Hochladen]]: Warnmeldung auf bestehende Dateien, unerwünschte Prefixe usw. deutlicher hervorheben. */
td#wpDestFile-warning ul {
	border: 1px solid red;
	padding: 1.5em;
}

/* höheres Uploadfeld */
textarea#wpUploadDescription {
	height: 20em;
}

/* Warnmeldung für gesperrte Titel */
.mw-titleprotectedwarning {
	background: #eee;
	border: 2px solid red;
	padding: 1em;
}

/* Gestaltung der Edittools-Leiste [[MediaWiki:Onlyifediting.js]] */
div#specialchars {
	background: white;
	border: 1px solid #aaa;
	margin-top: 3px;
	padding: 1px;
	text-align: left;
}

/* Legende für Versionsgeschichte */
.mw-history-legend {
	background: #f9f9f9;
	border: 1px solid #e9e9e9;
	clear: both;
	font-size: 90%;
	margin: 2px 0;
	padding: 0 5px 5px;
}

/* Unterstrichelung für Abkürzungen */
abbr {
	border-bottom-color: #ccc; /* Fallback für alte Browser: https://developer.mozilla.org/en/CSS/color_value#Browser_Compatibility */
	border-bottom-color: rgba(75%, 75%, 75%, .5);
}
abbr:hover {
	border-bottom-color: inherit; /* IE 8 */
	border-bottom-color: currentColor;
}

/* Spezialseiten */
.sp-cached {
	background: #ffffe0 url(//upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Clock_and_warning.svg/20px-Clock_and_warning.svg.png) no-repeat 5px 3px;
	border: 1px solid #eeee80;
	color: #606000;
	font-style: italic;
	margin: .3em 0;
	padding: 4px 0 4px 30px;
}

/* IPA-Links nicht unterstreichen */
.IPA a {
	text-decoration: none;
}

/*
 * CSS-Klassen für Schriftarten als Workaround für Defizite im IE <= 7.
 * Achtung: IE <= 7 mag keine Zeilenumbrüche zwischen den Fonts.
 * Browserweiche:
 * IE <= 6 erkennt fälschlicherweise den Selektor "* html".
 * IE <= 7 erkennt das Schlüsselwort "inherit" nicht.
 */
 
/* Für IE <= 6 */
 
/* [[Vorlage:Polytonisch]] */
* html .polytonic {
	font-family: "Arial Unicode MS", "Palatino Linotype", Code2000, "New Athena Unicode", "Gentium Plus", Gentium, "Athena Unicode";
}
/* [[Vorlage:IAST]] */
* html .IAST {
	font-family: Code2000, SunExtA, "Arial Unicode MS", sans-serif;
}
 
/* Für IE <= 7 */
 
/* [[Vorlage:Unicode]] */
.Unicode {
	font-family: Code2000, Sun-ExtA, "Arial Unicode MS", NSimSun, sans-serif;
}
.Unicode1 {
	font-family: Code2001, Quivira, "MPH 2B Damase", sans-serif;
}
.Unicode2 {
	font-family: Sun-ExtB, Code2002, sans-serif;
}
/* [[Vorlage:IPA]], [[Vorlage:IPA-Text]] */
.IPA {
	font-family: Quivira, Code2000, Sun-ExtA, "DejaVu Sans", "Gentium Plus", Gentium, "Doulos SIL", Helvetica, "Arial Unicode MS", "Lucida Sans Unicode", sans-serif;
}
/* [[Vorlage:He]] */
.hebrew {
	font-family: Quivira, Sun-ExtA, "Arial Unicode MS", "SBL Hebrew", Code2000, "MPH 2B Damase", sans-serif;
}
/* [[Vorlage:Arabische Schrift]] */
.spanAr {
	font-family: "Arial Unicode MS", Scheherazade, Code2000, "DejaVu Sans", sans-serif;
}
/* [[Vorlage:Musik]] */
.music-symbol {
	font-family: "Musical Symbols", Euterpe, Code2001, sans-serif;
}
 
/* Für moderne Browser */
.Unicode,
.Unicode1,
.Unicode2,
.IPA,
.hebrew,
.spanAr,
.music-symbol {
	font-family: inherit;
}

/* Hintergrund des Sichten-Links auf der Beobachtungsliste entfärben */
.mw-fr-reviewlink {
	background: transparent;
}

/* Patrollink ausblenden, da die Eweiterung hier nicht aktiviert ist und
   deren Optik zu sehr den gesichteten Versionen ähnelt. */
.patrollink {
	display: none;
}

/* Rollback-Knopf auf Beobachtungsliste ausblenden, da es dort nur von sehr beschränktem Nutzen
   ist und zu sehr vielen Reverts aus Versehen führt */
.mw-special-Watchlist .mw-rollback-link {
	display: none;
}

/* +++++ 3. [[Wikipedia:Hauptseite|HAUPTSEITE]] (seit 2006) +++++ */

/* Überschrift, Weiterleitungshinweis und Kategorie verbergen */
.action-view.page-ChemnitzWiki_Hauptseite h1.firstHeading,
.action-view.page-ChemnitzWiki_Hauptseite #contentSub,
.page-ChemnitzWiki_Hauptseite #catlinks {
	display: none;
}

#hauptseite h2 {
	background: #d8e8ff;
	border: 1px solid #8898bf;
	font-size: 1em;
	font-weight: bold;
	margin: 0;
	padding: .1em 0;
}
#hauptseite .inhalt {
	background: #fff;
	border: 1px solid #8898bf;
	border-top: 0;
	min-height: 0; /* IE 7 */
	padding: .3em .8em .4em;
}
#hauptseite .inhalt hr {
	background: #8898bf;
	color: #8898bf; /* IE <= 7 */
	height: 1px;
	margin: .5em 0;
}
#hauptseite .inhalt .mehr {
	clear: both;
	font-size: 95%;
	margin-top: .8em;
	text-align: right;
}
.hauptseite-oben,
.hauptseite-links,
.hauptseite-rechts {
	margin-bottom: 1em;
}
.hauptseite-links {
	margin-right: .5em;
}
.hauptseite-rechts {
	margin-left: .5em;
}
.hauptseite-oben h2,
.hauptseite-unten h2 {
	text-align: center;
}
.hauptseite-oben .inhalt .portale {
	font-weight: bold;
	margin: .2em 0;
}
.hauptseite-oben .inhalt .intern {
	font-size: 90%;
	text-align: center;
}
.hauptseite-links h2,
.hauptseite-rechts h2 {
	text-indent: .8em;
}